Subject: Re: CCL:Error estimation of gibbs free energy

From: Ioana Cozmuta <[email-masked]>
Date: Thu, 15 May 2003 11:35:05 -0700 (PDT)

Hi Guosheng,

> From the top of my head, that formula comes from a Taylor expansion in
which you neglect the higher-order terms.

Honestly, the best info I have on error propagation are my hand written
notes from the courses I followed during undergrad/grad studies.
However, if you do a search on google with the following terms:
general formula error propagation
it gives lots of references.
The most frequently mentioned reference I see is
Taylor, J. R., "An introduction to Error Analysis", University Science
Books, 1982.
I also think that any book on numerical analysis should have at least a
chapter that covers error propagation.
See also:
http://mulliken.chem.hope.edu/~polik/Chem345-2000/errorpropagation.htm

Regards,
Ioana

****************************************************************************
* Ioana Cozmuta, PhD            *					   *
* NASA-AMES Research Center     *  "Gravitation can not be held responsible*
* Mail Stop 230-3               *  for people falling in love"		   *
* Moffet Field,CA 94035         *  					   *
* phone: (650) 604-0993         *                           Albert Einstein*
* fax:   (650) 604-0350         *                             (1879-1955)  *
****************************************************************************

On Thu, 15 May 2003 [email-masked] wrote:

> Dear Ioana,
>
> Could you please point out if there is any reference for your equation?
>
> I am sure there must be such kind of thing in some data analysis books,
> but it's just inconvenient for me to find it at this moment.
>
> It seems to me the straightforwad way to get an error estimation is
> by the basis calculus, like following (with similar presentation to
> yours):
>
> for  f = f(x1, x2, ...),
>
> (del_f)= (df/dx1)*(del_x1) + (df/dx2)*(del_x2) + ...
>
> Then, (del_f)^2 can be the next form, if one has the interest:
>
> (del_f)^2= (df/dx1)^2 * (del_x1)^2 + (df/dx2)^2 * (del_x2)^2
>          + 2*(df/dx1)* (del_x1) * (df/dx2) * (del_x2) + ...
>
> So for your example if f= x+y then (del_f) = (del_x)+(del_y)
>
> if f = x*y then simply
>                 del_f = x * (del_y) + y * (del_x)
>
> If one like, (del_f)/f = (del_x)/x + (del_y)/y
>
>     or   [(del_f)/f]^2 = (del_x/x)^2 + (del_y/y)^2
>                        + 2 * (del_x)*(del_y)/(x*y)
>
> Of course, for practical usage, one may overlook one or more terms if they
> are much smaller than others.
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> Thanks for your attention.
>
> Sincerely,
>
> Guosheng
>
> Guosheng Wu, Ph.D.
> Eli Lilly & Company
>
>
>
>
>
> Ioana Cozmuta <[email-masked]>
> Sent by: Computational Chemistry List <[email-masked]>
> 05/14/2003 01:32 PM
>
>
>         To:     "[email-masked]'" <[email-masked]>
>         cc:
>         Subject:        CCL:Error estimation of gibbs free energy
>
>
> Hi,
>
> The most general formula from which you can always estimate the error
> del_f of a function f(x1, x2, x3, ...xn) is
>
> (del_f)^2= (df/dx1)^2*del_x1^2+(df/dx2)^2*del_x2^2+...
>
> where df/dxi are partial derivatives of the function f with respect to xi
> (i=1,n) and del_xi are the individual errors.
>
> So for example if f= x+y then (del_f)^2 = (del_x1)^2+(del_x2)^2
> if f = x*y then (delf/f)^2= (del_x/x)^2+(del_y/y)^2
>
> If x1, ...xn are functions of other variables I find the general formula
> above (with derivatives) much easier to use.
>
> Ioana
>
> On Wed, 14 May 2003, VITORGE Pierre 094605 wrote:
>
> > d(dG) = square root([d(dH)]^2 + [d(dS)]^2)
> > cannot be true, if dh=0 and T is constant the above Eq. gives
> > d(dG) = d(dS)
> > while it is of course
> > d(dG) = T d(dS)
> >
> > You probably mean:
> > d(DG) = square root([d(DH)]^2 + [(Td(DS)+(DS)dT)]^2)?
> > or
> > d(DG) = square root([d(DH)]^2 + [Td(DS)]^2 + [(DS)dT]^2)?
> >
> > Pierre Vitorge
> > CEA DEN Saclay DPC/SECR/LSRM & UMR 8587 (CEA-CNRS-Universite d'Evry)
> > Universite d'Evry UMR 8587
> > [email-masked]
> > http://perso.club-internet.fr/vitorgen/pierre/pierre.html
> >
> >
> > -----Message d'origine-----
> > De: Dr. Richard L. Wood [mailto:[email-masked]]
> > Date: lundi 12 mai 2003 15:58
> > À: Wong Lai Ho
> > Cc: [email-masked]
> > Objet: CCL:Error estimation of gibbs free energy
> >
> >
> > Wouldn't the following be true
> >
> > d(dG) = square root([d(dH)]^2 + [d(dS)]^2)?
> >
> > dG is delta G, d(dG) is the error in delta G, dH is delta H, d(dH) is
> the
> > error
> > in delta H, dS is delta S and d(dS) is the error in delta S.
> >
> > This is taken from a simple error propagation analysis as taught in some
> > physical/analytical chemistry laboratories.
> >
> > Richard
> >
> > Wong Lai Ho wrote:
> >
> > > Dear CCLers,
> > >
> > > I have a question regarding error estimation of the experimental
> values of
> > > gibbs free energy.
> > > As we knows that:
> > > delta G(formation)
> > >    = delta H(formation)
> > >    - Temp * [entropy(molecule)-sum(entropy(atoms to form the
> molecules))]
> > >
> > > Can I claim that the experimental error bar of the gibbs free
> energy(delta
> > > G) is equal to the error bar of the enthalpy change of formation(delta
> H)?
> > > (since the error introduced by the entropy is usually very small)
> > > Is there any papers or books talking about this error?
> > >
> > > I would be grateful if you can give some comments on this claim.
> > >
> > > Larry
> > >
> >
> > --
> > Richard L. Wood, Ph. D.
> > Physical/Computational Chemist
> > Post-doctoral Associate
> > Department of Chemistry
> > Trinity University, San Antonio, TX 78212
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
> Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>
>
>
>